Alerts - Update
Update an alert.
PATCH https://management.azure.com/{scope}/providers/Microsoft.Authorization/roleManagementAlerts/{alertId}?api-version=2022-08-01-preview
URI Parameters
| Name | In | Required | Type | Description |
|---|---|---|---|---|
|
alert
|
path | True |
string |
The name of the alert to get. |
|
scope
|
path | True |
string |
The fully qualified Azure Resource manager identifier of the resource. |
|
api-version
|
query | True |
string minLength: 1 |
The API version to use for this operation. |
Request Body
| Name | Type | Description |
|---|---|---|
| properties.isActive |
boolean |
False by default; true if the alert is active. |
Responses
| Name | Type | Description |
|---|---|---|
| 204 No Content |
Operation completed successfully. |
|
| Other Status Codes |
An unexpected error response. |
Security
azure_auth
Azure Active Directory OAuth2 Flow.
Type:
oauth2
Flow:
implicit
Authorization URL:
https://login.microsoftonline.com/common/oauth2/authorize
Scopes
| Name | Description |
|---|---|
| user_impersonation | impersonate your user account |
Examples
DeactivateAlert
Sample request
Sample response
Definitions
| Name | Description |
|---|---|
| Alert |
The alert. |
|
Alert |
Alert configuration. |
|
Alert |
Alert definition |
|
Alert |
Alert incident |
|
Azure |
The Azure roles assigned outside PIM alert configuration properties. |
|
Azure |
Azure roles assigned outside PIM alert incident properties. |
|
created |
The type of identity that created the resource. |
|
Duplicate |
The duplicate role created alert configuration. |
|
Duplicate |
Duplicate role created alert incident properties. |
|
Microsoft. |
An error response from the service. |
|
Microsoft. |
An error response from the service. |
|
Severity |
Severity level of the alert. |
|
system |
Metadata pertaining to creation and last modification of the resource. |
|
Too |
Too many owners assigned to resource alert configuration properties. |
|
Too |
Too many owners assigned to resource alert incident properties. |
|
Too |
Too many permanent owners assigned to resource alert configuration properties. |
|
Too |
Too many permanent owners assigned to resource alert incident properties. |
Alert
The alert.
| Name | Type | Description |
|---|---|---|
| id |
string |
Fully qualified resource ID for the resource. Ex - /subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/{resourceProviderNamespace}/{resourceType}/{resourceName} |
| name |
string |
The name of the resource |
| properties.alertConfiguration |
The alert configuration. |
|
| properties.alertDefinition |
The alert definition. |
|
| properties.alertIncidents |
The alert incidents. |
|
| properties.incidentCount |
integer (int32) |
The number of generated incidents of the alert. |
| properties.isActive |
boolean |
False by default; true if the alert is active. |
| properties.lastModifiedDateTime |
string (date-time) |
The date time when the alert configuration was updated or new incidents were generated. |
| properties.lastScannedDateTime |
string (date-time) |
The date time when the alert was last scanned. |
| properties.scope |
string |
The alert scope. |
| systemData |
Azure Resource Manager metadata containing createdBy and modifiedBy information. |
|
| type |
string |
The type of the resource. E.g. "Microsoft.Compute/virtualMachines" or "Microsoft.Storage/storageAccounts" |
AlertConfiguration
Alert configuration.
| Name | Type | Description |
|---|---|---|
| id |
string |
Fully qualified resource ID for the resource. Ex - /subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/{resourceProviderNamespace}/{resourceType}/{resourceName} |
| name |
string |
The name of the resource |
| properties | AlertConfigurationProperties: |
Alert configuration properties. |
| systemData |
Azure Resource Manager metadata containing createdBy and modifiedBy information. |
|
| type |
string |
The type of the resource. E.g. "Microsoft.Compute/virtualMachines" or "Microsoft.Storage/storageAccounts" |
AlertDefinition
Alert definition
| Name | Type | Description |
|---|---|---|
| id |
string |
Fully qualified resource ID for the resource. Ex - /subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/{resourceProviderNamespace}/{resourceType}/{resourceName} |
| name |
string |
The name of the resource |
| properties.description |
string |
The alert description. |
| properties.displayName |
string |
The alert display name. |
| properties.howToPrevent |
string |
The ways to prevent the alert. |
| properties.isConfigurable |
boolean |
True if the alert configuration can be configured; false, otherwise. |
| properties.isRemediatable |
boolean |
True if the alert can be remediated; false, otherwise. |
| properties.mitigationSteps |
string |
The methods to mitigate the alert. |
| properties.scope |
string |
The alert scope. |
| properties.securityImpact |
string |
Security impact of the alert. |
| properties.severityLevel |
Severity level of the alert. |
|
| systemData |
Azure Resource Manager metadata containing createdBy and modifiedBy information. |
|
| type |
string |
The type of the resource. E.g. "Microsoft.Compute/virtualMachines" or "Microsoft.Storage/storageAccounts" |
AlertIncident
Alert incident
| Name | Type | Description |
|---|---|---|
| id |
string |
Fully qualified resource ID for the resource. Ex - /subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/{resourceProviderNamespace}/{resourceType}/{resourceName} |
| name |
string |
The name of the resource |
| properties | AlertIncidentProperties: |
Alert incident properties. |
| systemData |
Azure Resource Manager metadata containing createdBy and modifiedBy information. |
|
| type |
string |
The type of the resource. E.g. "Microsoft.Compute/virtualMachines" or "Microsoft.Storage/storageAccounts" |
AzureRolesAssignedOutsidePimAlertConfigurationProperties
The Azure roles assigned outside PIM alert configuration properties.
| Name | Type | Description |
|---|---|---|
| alertConfigurationType |
string:
Azure |
The alert configuration type. |
| alertDefinition |
The alert definition. |
|
| alertDefinitionId |
string |
The alert definition ID. |
| isEnabled |
boolean |
True if the alert is enabled, false will disable the scanning for the specific alert. |
| scope |
string |
The alert scope. |
AzureRolesAssignedOutsidePimAlertIncidentProperties
Azure roles assigned outside PIM alert incident properties.
| Name | Type | Description |
|---|---|---|
| alertIncidentType |
string:
Azure |
The alert incident type. |
| assigneeDisplayName |
string |
The assignee display name. |
| assigneeId |
string |
The assignee ID. |
| assigneeUserPrincipalName |
string |
The assignee user principal name. |
| assignmentActivatedDate |
string (date-time) |
The date the assignment was activated. |
| requestorDisplayName |
string |
The requestor display name. |
| requestorId |
string |
The requestor ID. |
| requestorUserPrincipalName |
string |
The requestor user principal name. |
| roleDefinitionId |
string |
The role definition ID. |
| roleDisplayName |
string |
The role display name. |
| roleTemplateId |
string |
The role template ID. |
createdByType
The type of identity that created the resource.
| Value | Description |
|---|---|
| User | |
| Application | |
| ManagedIdentity | |
| Key |
DuplicateRoleCreatedAlertConfigurationProperties
The duplicate role created alert configuration.
| Name | Type | Description |
|---|---|---|
| alertConfigurationType |
string:
Duplicate |
The alert configuration type. |
| alertDefinition |
The alert definition. |
|
| alertDefinitionId |
string |
The alert definition ID. |
| isEnabled |
boolean |
True if the alert is enabled, false will disable the scanning for the specific alert. |
| scope |
string |
The alert scope. |
DuplicateRoleCreatedAlertIncidentProperties
Duplicate role created alert incident properties.
| Name | Type | Description |
|---|---|---|
| alertIncidentType |
string:
Duplicate |
The alert incident type. |
| duplicateRoles |
string |
The duplicate roles. |
| reason |
string |
The reason for the incident. |
| roleName |
string |
The role name. |
Microsoft.Common.CloudError
An error response from the service.
| Name | Type | Description |
|---|---|---|
| error |
An error response from the service. |
Microsoft.Common.CloudErrorBody
An error response from the service.
| Name | Type | Description |
|---|---|---|
| code |
string |
An identifier for the error. Codes are invariant and are intended to be consumed programmatically. |
| message |
string |
A message describing the error, intended to be suitable for display in a user interface. |
SeverityLevel
Severity level of the alert.
| Value | Description |
|---|---|
| Low |
Low |
| Medium |
Medium |
| High |
High |
systemData
Metadata pertaining to creation and last modification of the resource.
| Name | Type | Description |
|---|---|---|
| createdAt |
string (date-time) |
The timestamp of resource creation (UTC). |
| createdBy |
string |
The identity that created the resource. |
| createdByType |
The type of identity that created the resource. |
|
| lastModifiedAt |
string (date-time) |
The timestamp of resource last modification (UTC) |
| lastModifiedBy |
string |
The identity that last modified the resource. |
| lastModifiedByType |
The type of identity that last modified the resource. |
TooManyOwnersAssignedToResourceAlertConfigurationProperties
Too many owners assigned to resource alert configuration properties.
| Name | Type | Description |
|---|---|---|
| alertConfigurationType |
string:
Too |
The alert configuration type. |
| alertDefinition |
The alert definition. |
|
| alertDefinitionId |
string |
The alert definition ID. |
| isEnabled |
boolean |
True if the alert is enabled, false will disable the scanning for the specific alert. |
| scope |
string |
The alert scope. |
| thresholdNumberOfOwners |
integer (int32) |
The threshold number of owners. |
| thresholdPercentageOfOwnersOutOfAllRoleMembers |
integer (int32) |
The threshold percentage of owners out of all role members. |
TooManyOwnersAssignedToResourceAlertIncidentProperties
Too many owners assigned to resource alert incident properties.
| Name | Type | Description |
|---|---|---|
| alertIncidentType |
string:
Too |
The alert incident type. |
| assigneeName |
string |
The assignee name. |
| assigneeType |
string |
The assignee type. |
TooManyPermanentOwnersAssignedToResourceAlertConfigurationProperties
Too many permanent owners assigned to resource alert configuration properties.
| Name | Type | Description |
|---|---|---|
| alertConfigurationType |
string:
Too |
The alert configuration type. |
| alertDefinition |
The alert definition. |
|
| alertDefinitionId |
string |
The alert definition ID. |
| isEnabled |
boolean |
True if the alert is enabled, false will disable the scanning for the specific alert. |
| scope |
string |
The alert scope. |
| thresholdNumberOfPermanentOwners |
integer (int32) |
The threshold number of permanent owners. |
| thresholdPercentageOfPermanentOwnersOutOfAllOwners |
integer (int32) |
The threshold percentage of permanent owners out of all owners. |
TooManyPermanentOwnersAssignedToResourceAlertIncidentProperties
Too many permanent owners assigned to resource alert incident properties.
| Name | Type | Description |
|---|---|---|
| alertIncidentType |
string:
Too |
The alert incident type. |
| assigneeName |
string |
The assignee name. |
| assigneeType |
string |
The assignee type. |